de.esprit.netsuite.netdata

## Class CoSessionId

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.SessionId
      - - de.esprit.netsuite.netdata.CoSessionId

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public final class CoSessionId
      extends SessionId

  This class identifies the session of a co-client
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoSessionId(ServerConnection srvConn, java.lang.String serverName, java.lang.String applicationName)`
    `CoSessionId(ServerHost serverHost, java.lang.String applicationName, ServerId coServerId)` Constructor for creating a pseudo sessionId for a non-connected Co-Client

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CoSessionId` | `deepClone()` Returns a deep clone of this object
    `ServerId` | `getCoServerId()`
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`
    `java.lang.String` | `getSessionInfo()`
    `boolean` | `isReconnecting()`
    `void` | `setCoServerId(ServerId coServerId)`
    `void` | `setReconnecting(boolean isReconnecting)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.SessionId

      `clone, compareTo, equals, getApplicationName, getHostAddress, getHostName, getServerName, getSID, getUID, getUrlId, getUserId, getUserInfo, getUserName, getWebId, hashCode, isAdmin, isLoggedIn, setUserId`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CoSessionId

          public CoSessionId(ServerHost serverHost,
                     java.lang.String applicationName,
                     ServerId coServerId)

      Constructor for creating a pseudo sessionId for a non-connected Co-Client

    - #### CoSessionId

          public CoSessionId(ServerConnection srvConn,
                     java.lang.String serverName,
                     java.lang.String applicationName)

  - ### Method Detail

    - #### setCoServerId

          public void setCoServerId(ServerId coServerId)

    - #### getCoServerId

          public ServerId getCoServerId()

    - #### getSessionInfo

          public java.lang.String getSessionInfo()

      Overrides:
        `getSessionInfo` in class `SessionId`

    - #### isReconnecting

          public boolean isReconnecting()

    - #### setReconnecting

          public void setReconnecting(boolean isReconnecting)

    - #### deepClone

          public CoSessionId deepClone()

      Description copied from interface: `DeepCloneable`
      Returns a deep clone of this object
      Specified by:
        `deepClone` in interface `DeepCloneable`
      Overrides:
        `deepClone` in class `SessionId`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `SessionId`

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`
      Overrides:
        `getRenderColor` in class `SessionId`

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`
      Overrides:
        `getRenderIcon` in class `SessionId`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `SessionId`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `SessionId`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.